## makedev 2.3.1

=== Makefile ===
# $Id: Makefile,v 2.2 1995/05/21 17:45:18 alfie Exp $

DEVDIR  = $(ROOT)/dev
MANDIR  = $(ROOT)/usr/man
MANEXT  = 8

default:
	@echo Nothing to make.
	
install:
	install -m 755 MAKEDEV $(DEVDIR)
	install -m 644 MAKEDEV.man $(MANDIR)/man$(MANEXT)/MAKEDEV.$(MANEXT)

clean:

=== debian/changelog ===
makedev (2.3.1-97.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install into /usr/sbin instead of /sbin (DEP17 M2). (Closes: #1059177)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 20 Dec 2023 23:10:49 +0100

makedev (2.3.1-97) unstable; urgency=medium

  * debian/control: reverted relationship removal. (Closes: #1012283)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 03 Jun 2022 09:07:08 -0300

makedev (2.3.1-96) unstable; urgency=medium

  * New maintainer. (Closes: #543592)
  * debian/control: removed a relationship for udev.
  * debian/copyright: added packaging rights.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 01 Jun 2022 06:13:54 -0300

makedev (2.3.1-95) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - DebSrc to 3.0.
      - debian/copyright to 1.0 format. Consequently:
          ~ debian/dirs: removed no longer needed line
            usr/share/lintian/overrides.
          ~ debian/makedev.lintian: no longer needed. Removed.
      - debian/rules to new (reduced) format.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965713
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.6.0.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/gbp.conf: removed.
  * debian/lintian-overrides: created to override a false-positive about a
    device name.
  * debian/patches/:
      - 010_patches-from-1.0: created to gather old patches from DebSrc 1.0.
      - 020_fix-typos-manpage.patch: created to fix some typos in manpage.
  * debian/postinst: added 'set -e'.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Feb 2022 01:51:59 -0300

makedev (2.3.1-94.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Dec 2020 17:03:04 +0100

makedev (2.3.1-94) unstable; urgency=medium

  * QA upload.
  * Don't attempt to create /dev devices when inside a container.
    - This uses systemd-detect-virt to catch them all, if the
      tool is installed. See LP: #1675163 for further reference.
  * Use priority 'optional' instead of 'extra'

 -- Matthias Klumpp <mak@debian.org>  Wed, 22 Aug 2018 22:18:42 +0200

makedev (2.3.1-93) unstable; urgency=low

  * QA upload.
  * Mark makedev as Multi-Arch: foreign to allow for mountall to be
    installable with multi-arch (needed for armhf containers on x86; thanks,
    Stéphane Graber).
  * Remove preinst script, which had a buggy version comparison and in any
    case only applied to upgrades from lenny (thanks, Steve Langasek;
    closes: #674218).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 May 2013 12:00:49 +0100

makedev (2.3.1-92) unstable; urgency=low

  * QA upload.
  * Fix "postinst fails on non-default Debian kernels and is
    useless on =< 3.4":
    drop check for kernel version >= 2.4
    (Closes: #685376)
  * Fix "/run transition: Please update use of /dev/.udev":
    additionally check for /run/udev, patch from Roger Leigh
    (release goal).
    (Closes: #644318)

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Sep 2012 14:15:33 +0200

makedev (2.3.1-91) unstable; urgency=low

  * QA upload.
  * Abort postinst when running no non-Linux kernels.
    (Closes: #665461, #665472)

 -- Robert Millan <rmh@debian.org>  Sat, 31 Mar 2012 11:55:47 +0200

makedev (2.3.1-90) unstable; urgency=low

  * finish orphaning package by changing maintainer to Debian QA Group
  * add Vcs entries to the control file
  * clean up a few lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Mar 2012 10:50:08 +0100

makedev (2.3.1-89) unstable; urgency=low

  * move to priority extra, closes: #522048
  * use dpkg --print-architecture instead of deprecated form, closes: #536540
  * eliminate explicit use of path for MAKEDEV calls in postinst
  * update standards and debhelper version dependencies

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Jul 2009 13:31:20 +0200

makedev (2.3.1-88) unstable; urgency=low

  * no need to squelch output of update-rc.d in preinst
  * patch from Stefan Lippers-Hollmann to fix lirc fifos, closes: #472526

 -- Bdale Garbee <bdale@gag.com>  Thu, 08 May 2008 08:28:21 -0600

makedev (2.3.1-87) unstable; urgency=low

  * move cbm target to group floppy, closes: #462892
  * since we previously only ran update-rc.d to remove links on purge, they
    may still be left around even though the init.d has been removed.  Update
    the preinst to call update-rc.d when upgrading to clean up this case,
    closes: #465739

 -- Bdale Garbee <bdale@gag.com>  Thu, 14 Feb 2008 16:14:10 -0700

makedev (2.3.1-86) unstable; urgency=low

  * oops, fix a bashism I introduced in the postinst of -85, closes: #462769

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Jan 2008 09:20:22 +1300

makedev (2.3.1-85) unstable; urgency=low

  * fix cut'n'paste error in cbm target, closes: #437329
  * add lirc target, closes: #393575
  * add support for 'lpia' variant of i386 architecture, closes: #453505
  * patch to eliminate obsolete init.d conffile from Petter Reinholdtsen,
    closes: #459677
  * update postinst to only attempt to make fb if the kernel is Linux, and
    move chmod of /dev/tty[0-9]* after the forced creation of those devices
    so postinst fails less particularly on kfreebsd, closes: #444979, #388270
  * major number for pktcdvd is now dynamic, don't try to create devices with
    old/wrong major number, closes: #405819

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Jan 2008 00:18:41 +1300

makedev (2.3.1-84) unstable; urgency=low

  * add 'fd' to the list of targets created in the postinst, closes: #394863


=== debian/control ===
Source: makedev
Section: admin
Priority: optional
Maintainer: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets
Vcs-Browser: https://salsa.debian.org/debian/makedev
Vcs-Git: https://salsa.debian.org/debian/makedev.git

Package: makedev
Architecture: all
Depends: base-passwd (>= 3.0.4), ${misc:Depends}
Conflicts: udev (<= 0.024-7)
Multi-Arch: foreign
Description: creates device files in /dev
 The MAKEDEV executable is used to create device files, often in /dev.
 .
 Device files are special files through which applications can interact
 with hardware.
 .
 This package is not necessary for most modern Linux systems, where the udev
 subsystem provides a more dynamic mechanism for device file management.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- ROOT=debian/makedev BINDIR=debian/makedev/usr/sbin

## makedev 2.3.1-73osso-3

=== Makefile ===
# $Id: Makefile,v 2.2 1995/05/21 17:45:18 alfie Exp $

BINDIR  = $(ROOT)/sbin
DEVDIR  = $(ROOT)/dev
MANDIR  = $(ROOT)/usr/share/man
MANEXT  = 8

default:
	@echo Nothing to make.
	
install:
	install -m 755 MAKEDEV $(BINDIR)
	install -m 644 MAKEDEV.man $(MANDIR)/man$(MANEXT)/MAKEDEV.$(MANEXT)

clean:

=== debian/changelog ===
makedev (2.3.1-73osso-3) unstable; urgency=low

  * Faster install (for udev)
  * removed Makedev from init.d (since udev already does the same) 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  4 Oct 2004 11:21:24 +0300

makedev (2.3.1-73osso-2) unstable; urgency=low

  * ppp device creation added to the postinst script

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  6 Sep 2004 11:56:25 +0300

makedev (2.3.1-73osso-1) unstable; urgency=low

  * fix installation with scratchbox too 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 30 Jun 2004 15:46:46 +0300

makedev (2.3.1-72osso) unstable; urgency=low

  * allow installation without scratchbox (duh)

 -- Riku Voipio <nchip@vekotin>  Thu, 17 Jun 2004 13:32:30 +0300

makedev (2.3.1-71osso) unstable; urgency=low

  *  scratchbox support

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  9 Jun 2004 17:47:46 +0300

=== debian/control ===
Source: makedev
Section: base
Priority: required
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends-Indep: debhelper
Standards-Version: 3.6.0

Package: makedev
Architecture: all
Depends: base-passwd (>= 3.0.4)
Conflicts: udev (<= 0.024-7)
Description: Creates device files in /dev
 The MAKEDEV executable is used to create device files, often in /dev.
 .
 Device files are special files through which applications can interact 
 with hardware.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	-rm -f debian/devices.txt debian/devices*html
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i

	ROOT=debian/tmp $(MAKE) install 

	dh_installdocs  -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installinit -i
	dh_installcron -i
	dh_installmanpages -i
	dh_installchangelogs -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## makedev 2.3.1-73osso-4

=== debian/changelog ===
makedev (2.3.1-73osso-4) unstable; urgency=low

  * Create the dev directory (inside Scratchbox), if it doesn't exist
    Fixes:NB#75536

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu,  8 Nov 2007 16:39:13 +0200

## makedev 2.3.2~2.3.1-80osso9

=== debian/changelog ===
makedev (2.3.2~2.3.1-80osso9) unstable; urgency=low

  * Create fb devices for maemo

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 28 Apr 2008 11:38:18 +0300

makedev (2.3.2~2.3.1-80osso8) unstable; urgency=low

  * fixing wrong versioning

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 04 Apr 2008 14:38:06 +0300

makedev (2.3.1-80osso8) unstable; urgency=low

  * changed maintainer
  * whitespace cleanup
  * added dpatch
  * added maemo static devices

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 04 Apr 2008 13:49:41 +0300

makedev (2.3.1-80osso7-1) unstable; urgency=low

  * Next version update. Fixes: NB#75536
  * Removed bugfix records from others

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 09 Nov 2007 09:44:58 +0200

makedev (2.3.1-80osso6) unstable; urgency=low

  * And add bugfix again.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 08 Nov 2007 18:05:53 +0200

makedev (2.3.1-80osso5) unstable; urgency=low

  * Fixing version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 08 Nov 2007 18:03:03 +0200

makedev (2.3.1-80.osso4) unstable; urgency=low

  * Removed unneded debian/conffiles

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 08 Nov 2007 17:27:58 +0200

makedev (2.3.1-80.osso3) unstable; urgency=low

  * Fixed bugfix record.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 08 Nov 2007 17:25:59 +0200

makedev (2.3.1-80.osso2) unstable; urgency=low

  * Create the dev directory (inside Scratchbox), if it doesn't exist

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu,  8 Nov 2007 16:39:13 +0200

makedev (2.3.1-80.osso1) unstable; urgency=low

  * Taken osso's postint
  * Removed init.d script

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Feb 2006 21:22:59 +0200

=== debian/control ===
Source: makedev
Section: admin
Priority: required
Original-Maintainer: Bdale Garbee <bdale@gag.com>
Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends-Indep: debhelper, dpatch
Standards-Version: 3.7.2

Package: makedev
Architecture: all
Depends: base-passwd (>= 3.0.4)
Conflicts: udev (<= 0.024-7)
Description: creates device files in /dev
 The MAKEDEV executable is used to create device files, often in /dev.
 .
 Device files are special files through which applications can interact
 with hardware.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpatch/dpatch.make
+
 build: build-stamp
-build-stamp:
+build-stamp: patch-stamp
 	dh_testdir
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -23,14 +25,14 @@
 	dh_testroot -i
 	dh_installdirs -i
 
-	ROOT=debian/tmp $(MAKE) install 
+	ROOT=debian/makedev $(MAKE) install
 
 	dh_installdocs  -i
 	dh_installexamples -i
 	dh_installmenu -i
 	dh_installinit -i
 	dh_installcron -i
-	dh_installmanpages -i
+	dh_installman -i MAKEDEV.man
 	dh_installchangelogs -i
 	dh_strip -i
 	dh_compress -i
@@ -44,7 +46,7 @@
 # Build architecture-dependent files here.
 binary-arch: build
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
